Bug 242467 - Wrong init script
Summary: Wrong init script
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: irda-utils   
(Show other bugs)
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 242466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-04 13:26 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 13:43:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-06-04 13:26:59 UTC
+++ This bug was initially created as a clone of Bug #242466 +++

Description of problem:
In irda init script, there are several wrong exit codes. For example
[ ${IRDA} = "no" ] && exit 0

[ -f /usr/sbin/irattach ] || exit 0
return exit code 0, but shall return some non-zero code. They also prevent
status invocation, which is also not correct.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.


Note You need to log in before you can comment on or make changes to this bug.